Bug 331171 - touchpad in MacBook Pro does not recognize double finger scrolling
touchpad in MacBook Pro does not recognize double finger scrolling
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: synaptics (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-14 00:26 EDT by Jussi Eloranta
Modified: 2008-10-13 02:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.14.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-13 02:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
requested Xorg.log (34.84 KB, text/plain)
2007-10-15 23:53 EDT, Jussi Eloranta
no flags Details

  None (edit)
Description Jussi Eloranta 2007-10-14 00:26:31 EDT
Description of problem:


Two finger scrolling does not work with MacBook Pro (intel) touchpad. Everything
else seems to work OK (even tapping). Here is the relevant info from
/proc/bus/usb/devices:

T:  Bus=02 Lev=01 Prnt=01 Port=01 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=05ac ProdID=0217 Rev= 0.60
S:  Manufacturer=Apple Computer
S:  Product=Apple Internal Keyboard / Trackpad
C:* #Ifs= 3 Cfg#= 1 Atr=a0 MxPwr= 40mA
I:* If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=01 Driver=usbhid
E:  Ad=83(I) Atr=03(Int.) MxPS=   8 Ivl=8ms
I:* If#= 1 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=appletouch
E:  Ad=81(I) Atr=03(Int.) MxPS=  64 Ivl=8ms
I:* If#= 2 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=00 Prot=00 Driver=usbhid
E:  Ad=84(I) Atr=03(Int.) MxPS=   1 Ivl=8ms

Under MacOS X the two finger scroll works properly.

kernel-headers-2.6.23-6.fc8
kernel-devel-2.6.23-6.fc8
kernel-2.6.23-6.fc8
xorg-x11-server-Xorg-1.3.0.0-29.fc8
Comment 1 Matěj Cepl 2007-10-15 11:16:55 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jussi Eloranta 2007-10-15 23:53:09 EDT
Created attachment 228161 [details]
requested Xorg.log

To get the touchpad special functionality to work, I had to add the following
to my /etc/X11/xorg.conf:

Section "InputDevice"
	Identifier  "Synaptics Touchpad"
	Driver	    "synaptics"
	Option	    "CorePointer"
	Option	    "Device" "/dev/input/mouse1"
	Option	    "Protocol" "auto-dev"
	Option	    "LeftEdge" "100"
	Option	    "RightEdge" "1120"
	Option	    "TopEdge" "50"
	Option	    "BottomEdge" "310"
	Option	    "FingerLow" "25"
	Option	    "FingerHigh" "30"
	Option	    "MaxTapTime" "180"
	Option	    "MaxTapMove" "220"
	Option	    "MaxDoubleTapTime" "180"
	Option	    "VertScrollDelta" "20"
	Option	    "HorizScrollDelta" "50"
	Option	    "MinSpeed" "0.79"
	Option	    "MaxSpeed" "0.88"
	Option	    "AccelFactor" "0.0015"
	Option	    "SHMConfig" "on"
EndSection

It might be a good idea to have this as a default for macbook pros (and
possibly other mac laptop models as well).

After this gsynaptics package works for most things (except double finger
scrolling). I am attaching my Xorg.0.log.

I just noticed that enabling vertical or horizontal scrolling in gsynaptics 
does nothing but enabling circular scolling works to some extent. I am able to
scroll but the scrolling is left "on" sometimes and just by moving the mouse
(one finger) results in scrolling...
Comment 3 Jussi Eloranta 2008-01-18 01:05:03 EST
Now it seems to work. However, scrolling does not work very well. Kind of
difficult to describe - you would have to use it yourself...

Comment 4 Chris Nolan 2008-01-19 06:15:21 EST
What version of the synaptics driver are you using? The packaged version for f8
is 0.14.4 which does not include two-finger scrolling. See
http://web.telia.com/~u89404340/touchpad/files/changes.txt

On a new macbook 3,1 ("santa rosa", not a macbook pro) i required a kernel patch
(Bug #426574) to make the touchpad work under the synaptics driver and also to
build the latest (0.14.6) synaptics driver in order to make the two-finger
scrolling work. With these changes, two finger scrolling works very well.
Comment 5 Ruben Kerkhof 2008-02-09 05:46:18 EST
Two finger scrolling works on my MB Pro, with synaptics 0.14.6 (from rawhide)
and kernel 2.6.24-23.

I had to add   
Option "VertTwoFingerScroll" "1"

to my xorg.conf
Comment 6 Chris Nolan 2008-03-08 05:57:07 EST
I would suggest this is not a Fedora bug, just a case of the old synaptics
drivers not supporting the use of two-finger scrolling (or two finger tapping etc).

synaptics-0.14.6 has now been pushed to F8 updates and two finger scrolling now
works as it should do for synaptics compatible touchpads. clearly you have to
configure X properly to use the functions. ensure you have synaptics-0.14.6
installed and see "man synaptics" for details.

Note You need to log in before you can comment on or make changes to this bug.